Subject: [bug#59661] [PATCH v2 1/3] system: Rename and move %base-packages-disk-utilities.

From: Efraim Flashner <[email-masked]>
Date: Mon, 5 Dec 2022 12:36:21 +0200

On Sun, Dec 04, 2022 at 05:20:42PM +0100, Ludovic Courtès wrote:
> Hi,
> 
> Maxim Cournoyer <[email-masked]> skribis:
> 
> > Rationale: It is only used in INSTALLATION-OS and doesn't make sense to be
> > used in another context, given that file systems now automatically pull their
> > dependencies since commit 45eac6cdf5c8d9d7b0c564b105c790d2d2007799 (services:
> > Add file system utilities to profile).
> >
> > * gnu/system.scm (%base-packages-disk-utilities): Deprecate and rename to...
> > * gnu/system/install.scm (%installer-disk-utilities): ... this.
> > (installation-os) [packages]: Adjust accordingly.
> 
> Efraim, this variable was added in
> e6e076281e62518056987e9ddd3d96fccab20475 and used in
> 4170af491c8bc3b0a5308116a26e758d8ff245c5; do you think it’s okay to
> remove now?  (It LGTM, but I’d like to make sure we don’t create churn.)

I looked back through the commits around there. The whole point was the
following commit, to divide the longish haphazard list of packages into
sets of a sort. If it's only used in (gnu system install) then I don't
see a problem with moving it there. The closest I know of to another
user of %base-packages-disk-utilities is my gparted guix image¹.

> > +(define-deprecated %base-packages-disk-utilities #f '())
> 
> ‘#f’ here would lead to weird deprecation messages.  I’d make it:
> 
>   (define-deprecated %base-packages-disk-utilities %base-packages '())
> 
> This is not quite accurate but it should convey the idea.

Would it be better to do

(define-deprecated/alias-public %base-packages-disk-utilities
  %installer-disk-utilities)

And remove the export from the list at the top of (gnu system)?

¹ https://git.sr.ht/~efraim/guix-config/tree/master/item/gparted.scm

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted